Package com.ocient.jdbc.proto

# Interface PlanProtocol.SelectOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.SelectOperator`, `PlanProtocol.SelectOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.SelectOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.Disjunction` | `getFilter()` | `.xg.db.sqlPlans.Disjunction filter = 1;`
`PlanProtocol.DisjunctionOrBuilder` | `getFilterOrBuilder()` | `.xg.db.sqlPlans.Disjunction filter = 1;`
`boolean` | `hasFilter()` | `.xg.db.sqlPlans.Disjunction filter = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasFilter

boolean hasFilter()
`.xg.db.sqlPlans.Disjunction filter = 1;`

### getFilter

PlanProtocol.Disjunction getFilter()
`.xg.db.sqlPlans.Disjunction filter = 1;`

### getFilterOrBuilder

PlanProtocol.DisjunctionOrBuilder getFilterOrBuilder()
`.xg.db.sqlPlans.Disjunction filter = 1;`